
Katello - Bug #4948

Syncing a product results in Content Search not showing packages

03/28/2014 09:07 PM - Bryan Kearney

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On a clean install, I created a product a single repo and then I synced it down. The task shows complete and it shows 8 packages

which is also correct. When I click on the '8 Packages' from the product page it takes me to content search. I can not see the

packages reflected there.

History

#1 - 03/28/2014 09:10 PM - Bryan Kearney

- Priority changed from Normal to High

#2 - 03/31/2014 05:15 PM - Bryan Kearney

If I go to the content search, and select Content = Packages and then search, I see this in the logs;

# # { #  

"error":"IndexMissingExcep

tion[[katello_package]

missing]",

#   "status":404 # }

dev setup +

[bkearney@bkearney hammer-cli]$ for i in `rpm -qa | grep -iE

"^rubygem-hammer|^katello|^pulp|^candlepin|^foreman|^headpin|^thumbslug|^elasticsearch|ldap|signo|ruby193-rubygem-runcible" | sort`; do echo "*

$i"; done

candlepin-0.8.29.3-1.fc19.noarch

elasticsearch-0.90.10-4.fc19.noarch

katello-certs-tools-1.4.4-1.fc19.noarch

katello-configure-1.4.9-1.fc19.noarch

katello-repos-1.4.4-1.fc19.noarch

ldapjdk-4.18-14.fc20.noarch

openldap-2.4.39-2.fc20.x86_64

pulp-admin-client-2.3.1-1.fc19.noarch

pulp-katello-plugins-0.2-1.fc19.noarch

pulp-nodes-common-2.3.1-1.fc19.noarch

pulp-nodes-parent-2.3.1-1.fc19.noarch

pulp-puppet-plugins-2.3.1-1.fc19.noarch

pulp-rpm-admin-extensions-2.3.1-1.fc19.noarch

pulp-rpm-plugins-2.3.1-1.fc19.noarch

pulp-rpm-yumplugins-2.3.1-1.fc19.noarch

pulp-server-2.3.1-1.fc19.noarch

python-ldap-2.4.6-5.fc20.x86_64

rubygem-ldap_fluff-0.2.2-2.fc19.noarch

rubygem-net-ldap-0.3.1-5.fc20.noarch

sssd-ldap-1.11.4-1.fc20.x86_64

#3 - 03/31/2014 05:40 PM - Bryan Kearney

- Status changed from New to Closed

Not seeing this on the production install, so I am closing this out. Must be my dev instance some how.
#4 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
